Spec-first API reference · billing
Ledger API
A complete billing API documentation system: invoices, payments, and refunds, specified in OpenAPI 3.1.1 and governed by a ruleset that fails the build. Reference-first, written for an integrator who is moving money and cannot afford an ambiguity.
- Every operation documents its 401, 429, and 500. A lint rule enforces that, so no reviewer has to remember it.
- One cause and one fix per error entry. A page that lists six possible causes has handed the diagnosis back to the reader.
- Eleven design decisions are recorded with the alternative that was rejected and the cost of the choice that won.
- A wrong RFC citation, caught during verification, is logged in the decision record instead of quietly deleted.
OpenAPI 3.1.1 · RFC 9457 · RFC 9110 · RFC 6901